Bug 17479 - define navigator.language
define navigator.language
Status: RESOLVED WORKSFORME
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
PC All
: P2 normal
: ---
Assigned To: Edward O'Connor
HTML WG Bugzilla archive list
http://lists.w3.org/Archives/Public/p...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-13 10:39 UTC by Anne
Modified: 2013-02-28 23:05 UTC (History)
8 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Anne 2012-06-13 10:39:29 UTC
All browsers support it. We should document that somewhere and somewhere might as well be where the Navigator object is defined.

Maybe "en" should be used as value when the user wants to reduce fingerprinting. Though given all the other exposed fingerprinting data this might not be worth mentioning.
Comment 1 Simon Pieters 2012-06-13 10:59:34 UTC
$ grep -aPhc "navigator\.language" web200904 
3354

$ grep -aPhc "navigator\.language" stevef-all 
53
Comment 2 Simon Pieters 2012-06-13 11:15:20 UTC
I quickly looked through the stevef-all (which is from http://www.paciellogroup.com/blog/2012/04/html5-accessibility-chops-data-for-the-masses/ ) matches. Most or all of them also use navigator.userLanguage or navigator.browserLanguage or navigator.systemLanguage if navigator.language is not defined. The common usage of this API seems to be for tracking, although there are probably some that use it for localization purposes as well.
Comment 3 contributor 2012-07-18 07:10:52 UTC
This bug was cloned to create bug 17878 as part of operation convergence.
Comment 4 Robin Berjon 2013-01-21 15:58:06 UTC
Mass move to "HTML WG"
Comment 5 Robin Berjon 2013-01-21 16:00:52 UTC
Mass move to "HTML WG"
Comment 6 Edward O'Connor 2013-02-28 23:05:25 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are
satisfied with this response, please change the state of this bug to CLOSED. If
you have additional information and would like the Editor to reconsider, please
reopen this bug. If you would like to escalate the issue to the full HTML
Working Group, please add the TrackerRequest keyword to this bug, and suggest
title and text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this document:

   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Accepted
Change Description: No spec change.
Rationale: This has already been added to the spec, as you can see here:
http://www.w3.org/html/wg/drafts/html/master/webappapis.html#language-preferences